Irrlicht Engine: irr::SEvent Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::SEvent Struct Reference

SEvents hold information about an event. See irr::IEventReceiver for details on event handling. More...

`#include <IEventReceiver.h>`

List of all members.

## Classes
struct | SGUIEvent
| Any kind of GUI event. More...
struct | SJoystickEvent
| A joystick event. More...
struct | SKeyInput
| Any kind of keyboard event. More...
struct | SLogEvent
| Any kind of log event. More...
struct | SMouseInput
| Any kind of mouse event. More...
struct | SUserEvent
| Any kind of user event. More...
## Public Attributes
union {
struct SGUIEvent GUIEvent
struct SJoystickEvent JoystickEvent
struct SKeyInput KeyInput
struct SLogEvent LogEvent
struct SMouseInput MouseInput
struct SUserEvent UserEvent
}; |
EEVENT_TYPE | EventType

## Detailed Description

SEvents hold information about an event. See irr::IEventReceiver for details on event handling.

Definition at line 261 of file IEventReceiver.h.

## Member Data Documentation

union { ... }

EEVENT_TYPE irr::SEvent::EventType

Definition at line 413 of file IEventReceiver.h.

struct SGUIEvent irr::SEvent::GUIEvent

Definition at line 416 of file IEventReceiver.h.

struct SJoystickEvent irr::SEvent::JoystickEvent

Definition at line 419 of file IEventReceiver.h.

struct SKeyInput irr::SEvent::KeyInput

Definition at line 418 of file IEventReceiver.h.

struct SLogEvent irr::SEvent::LogEvent

Definition at line 420 of file IEventReceiver.h.

struct SMouseInput irr::SEvent::MouseInput

Definition at line 417 of file IEventReceiver.h.

struct SUserEvent irr::SEvent::UserEvent

Definition at line 421 of file IEventReceiver.h.

The documentation for this struct was generated from the following file:

- IEventReceiver.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:03 2010 by Doxygen (1.6.2)